# CvANN_MLP_TrainParams Struct Reference

`#include <ml.hpp>`

List of all members.

## Public Types

enum | { BACKPROP = 0, RPROP = 1 }

## Public Member Functions

| CvANN_MLP_TrainParams ()
| CvANN_MLP_TrainParams (CvTermCriteria term_crit, int train_method, double param1, double param2=0)
| ~CvANN_MLP_TrainParams ()

## Public Attributes

CV_PROP_RW double | bp_dw_scale
CV_PROP_RW double | bp_moment_scale
CV_PROP_RW double | rp_dw0
CV_PROP_RW double | rp_dw_max
CV_PROP_RW double | rp_dw_min
CV_PROP_RW double | rp_dw_minus
CV_PROP_RW double | rp_dw_plus
CV_PROP_RW CvTermCriteria | term_crit
CV_PROP_RW int | train_method

## Member Enumeration Documentation

anonymous enum

Enumerator:

  BACKPROP |
  RPROP |

## Constructor & Destructor Documentation

CvANN_MLP_TrainParams::CvANN_MLP_TrainParams | ( | ) |

CvANN_MLP_TrainParams::CvANN_MLP_TrainParams | ( | CvTermCriteria | term_crit,
|  | int | train_method,
|  | double | param1,
|  | double | param2 = `0`
| ) |  |

CvANN_MLP_TrainParams::~CvANN_MLP_TrainParams | ( | ) |

## Member Data Documentation

CV_PROP_RW double CvANN_MLP_TrainParams::bp_dw_scale

CV_PROP_RW double CvANN_MLP_TrainParams::bp_moment_scale

CV_PROP_RW double CvANN_MLP_TrainParams::rp_dw0

CV_PROP_RW double CvANN_MLP_TrainParams::rp_dw_max

CV_PROP_RW double CvANN_MLP_TrainParams::rp_dw_min

CV_PROP_RW double CvANN_MLP_TrainParams::rp_dw_minus

CV_PROP_RW double CvANN_MLP_TrainParams::rp_dw_plus

CV_PROP_RW CvTermCriteria CvANN_MLP_TrainParams::term_crit

CV_PROP_RW int CvANN_MLP_TrainParams::train_method

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines